<ng-container [formGroup]="form">
  <mat-form-field *ngIf="!!form?.get('name')">
    <mat-label>Name</mat-label>
    <input matInput formControlName="name" />
  </mat-form-field>

  <mat-form-field *ngIf="!!form?.get('phone')">
    <mat-label>Phone</mat-label>
    <input matInput formControlName="phone" />
  </mat-form-field>
</ng-container>
